> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Correlation

> # Description

Get correlation analysis for scale, numeric and grid questions.

# Payload

```json
{
    "fromDate": string,
    "toDate": string,
    "filter": array,
    "groups": object
}
```

where:

* `fromDate`: start date in ISO format. __(Required)__.
* `toDate`: end date in ISO format. __(Required)__.
* `filter`: array of filters to filter the responses. (Optional).
* `groups`: Object indexed by question id with a `q` as prefix. Every key has assigned an array with the question ids with `q` prefix that are the same question through different concepts inside a concept test. Only needed for project with Concept Test or Question Loops (Optional).

# Response 

## 200 OK

```json
{
  "matrix": array,
  "questionsIds": array,
}
```
where:

* `matrix`: An array of objects containing the relation between every question.
* `matrix[].r`: Relation coefficient between the questions.  
* `matrix[].p`: Pearson's coefficient between the questions.  
* `questionsIds`: Question ids for the questions correlated.

## 400 Bad Request
> Missing or invalid `fromDate`/`toDate`/`projectId` fields.

## 401 Unauthorized
> Invalid authorization.

## 404 Not Found
> Resource not found.

## 500 Internal Server Error
> Error occurred in the service.

# Description

Get correlation analysis for scale, numeric and grid questions.

# Payload

```json theme={null}
{
    "fromDate": string,
    "toDate": string,
    "filter": array,
    "groups": object
}
```

where:

* `fromDate`: start date in ISO format. **(Required)**.
* `toDate`: end date in ISO format. **(Required)**.
* `filter`: array of filters to filter the responses. (Optional).
* `groups`: Object indexed by question id with a `q` as prefix. Every key has assigned an array with the question ids with `q` prefix that are the same question through different concepts inside a concept test. Only needed for project with Concept Test or Question Loops (Optional).

# Response

## 200 OK

```json theme={null}
{
  "matrix": array,
  "questionsIds": array,
}
```

where:

* `matrix`: An array of objects containing the relation between every question.
* `matrix[].r`: Relation coefficient between the questions.
* `matrix[].p`: Pearson's coefficient between the questions.
* `questionsIds`: Question ids for the questions correlated.

## 400 Bad Request

> Missing or invalid `fromDate`/`toDate`/`projectId` fields.

## 401 Unauthorized

> Invalid authorization.

## 404 Not Found

> Resource not found.

## 500 Internal Server Error

> Error occurred in the service.

##### Query Parameters

| Parameter   | Description | Required | Example |
| ----------- | ----------- | -------- | ------- |
| `projectId` | —           | No       | —       |


## OpenAPI

````yaml POST /correlation-service/correlation
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /correlation-service/correlation:
    post:
      summary: Fetch Correlation
      description: >-
        # Description


        Get correlation analysis for scale, numeric and grid questions.


        # Payload


        ```json

        {
            "fromDate": string,
            "toDate": string,
            "filter": array,
            "groups": object
        }

        ```


        where:


        * `fromDate`: start date in ISO format. __(Required)__.

        * `toDate`: end date in ISO format. __(Required)__.

        * `filter`: array of filters to filter the responses. (Optional).

        * `groups`: Object indexed by question id with a `q` as prefix. Every
        key has assigned an array with the question ids with `q` prefix that are
        the same question through different concepts inside a concept test. Only
        needed for project with Concept Test or Question Loops (Optional).


        # Response 


        ## 200 OK


        ```json

        {
          "matrix": array,
          "questionsIds": array,
        }

        ```

        where:


        * `matrix`: An array of objects containing the relation between every
        question.

        * `matrix[].r`: Relation coefficient between the questions.  

        * `matrix[].p`: Pearson's coefficient between the questions.  

        * `questionsIds`: Question ids for the questions correlated.


        ## 400 Bad Request

        > Missing or invalid `fromDate`/`toDate`/`projectId` fields.


        ## 401 Unauthorized

        > Invalid authorization.


        ## 404 Not Found

        > Resource not found.


        ## 500 Internal Server Error

        > Error occurred in the service.
      operationId: fetch-correlation-post-correlation-service-correlation
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
        - name: projectId
          in: query
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              fromDate: '2020-01-01'
              toDate: '2022-12-31'
              filter: []
              groups:
                qQuestionId:
                  - qRelatedQuestionId1
                  - qRelatedQuestionId1
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://correlation.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````